{This is what is new in the last couple of versions of Hermes Toolbox}

unit WhatsNew;

interface

{New in verion 1.1}

	function LaunchApp (appName: str255; inBackground, killForeGround: boolean): OSErr;
{-----------------------------------------------------------------------------------}
{This function will launch an application and alternatively set it as the front application. }
{Pass it the full pathname of the application you want to launch.  If inBackground is set then}
{the application will come up in the background, otherwise the application will launch in the}
{front.  killForeGround will cause the foreGround app to terminate.  This isn't a very good}
{idea most of the time since this means Hermes will be killed (as will your external), but it}
{might have a use.  It returns a OSErr of any error.}
{THIS REQUIRES SYSTEM 7.0 OR LATER - Use System7OrLater below to check.}
{-----------------------------------------------------------------------------------}

	function GetCompactProNote (filePath: str255; var OSResult: OSErr): str255;
{-----------------------------------------------------------------------------------}
{This function returns the contents of the 'note' of a Compact Pro archive.  Simply pass it the}
{full pathname to the file and it will return the note as a string.  Any error will be passed}
{back in OSResult.}
{-----------------------------------------------------------------------------------}

	function GetStuffitComment (filePath: str255; var OSResult: OSErr): charsHandle;
{-----------------------------------------------------------------------------------}
{This function returns the contents of the 'comment' of a Stuffit archive (the SitC resource).}
{Simply pass it the full pathname of the file and it will return the comment as a charsHandle.}
{Any error will be passed back in OSResult.  It will allocate the memory for the handle.  You}
{should dispose of it when you are done with it.}
{-----------------------------------------------------------------------------------}

	function SetStuffitComment (filePath: str255; theChars: charsHandle): OSErr;
{-----------------------------------------------------------------------------------}
{This function will write the contents of theChars to the comment of a Stuffit archive.}
{Simply pass it the full pathname of the file and the comment in the charsHandle theChars}
{and it will write it to the file, replacing any old comment.  It will return any error.  NOTE:}
{The comment is limited to 32K.}
{-----------------------------------------------------------------------------------}

	procedure LogIt (outStr: str255; HermSetup: UserXIPtr);
{-----------------------------------------------------------------------------------}
{This is identical to the LogThis function in Hermes but works even if a user isn't online.  With}
{the built-in function if a users isn't on the current node when you log something to the daily}
{log, it isn't actually written until a user logs on (and then off) that node.  In the meantime}
{lots of people may have logged on to other nodes and your entry will be way out of order.}
{This writes directly to the 'Today Log' file.  You should still use the other procedure if a}
{user is online when you are writing to the log, but use this one when writing to the log}
{from the idle loop.}
{-----------------------------------------------------------------------------------}

{New in verion 1.0}

	function OpenDebugFile (HermSetup: UserXIPtr): integer;
{-----------------------------------------------------------------------------------}
{This function is just intended to make setting up a debugging file a little easier.  Calling it}
{will open (or create) a file calle "Debug File" inside your Hermes Files folder.  It also stamps}
{the time and date when it was opened to the file.  It returns a integer which is the file}
{reference number or 0 if it wasn't able to open the file.  Save this number in your privates}
{so you can write to the file and later to close it.}
{-----------------------------------------------------------------------------------}

	procedure WriteDebugFile (theString: str255; debugRefNum: integer);
{-----------------------------------------------------------------------------------}
{Once again this is to simplify the logging of errors.  Pass it the refNum created by your}
{call to "Open DebugFile" along with the string you want recorded and it will write it to the}
{Debug file.  A return is automatically added to the end of the string.  There is no error}
{checking here but for just testing that is probably preferable.}
{-----------------------------------------------------------------------------------}

	procedure CloseDebugFile (debugRefNum: integer);
{-----------------------------------------------------------------------------------}
{This procedure will close the file created by "OpenDebugFile".  Pass it the refNum created}
{by that procedure.}
{-----------------------------------------------------------------------------------}

	procedure DebugString (theStr: str255; waitForReply: boolean);
{-----------------------------------------------------------------------------------}
{This procedure is great for debugging.  It requires that you have an freeware application}
{called "Debug Window".  Pass a debugging string in theStr and this will send an AppleEvent}
{to Debug Window that will log that string to the text window of "Debug Window".  This does}
{not add a return to the end of the string but Debug Window has an option to automatically add}
{them to each string that is sent.  The waitForReply variable determines whether it should}
{wait for Debug Window to reply.  If true it will wait (up to 5 seconds) for a reply.  The}
{advantage of waiting for a reply is that strings appear in the Debug Window one at a time}
{as they are sent out.  That way you can watch both the Hermes window and Debug Window}
{and see your debugging strings at the same time that event is taking place in Hermes.  If you}
{don't wait for a reply the stings will tend to bunch up and it won't always be apparent at}
{what stage they generated in Hermes.  The disadvantage to waiting for a reply is that it}
{slows Hermes down some.  Since you will only use this for debugging this is probably}
{acceptable but you have the option to no wait.  This procedure requires System 7 of course.}
{***Note*** As with all debugging procedures, don't forget to take these out before you}
{ship your external.  You can't tell its there but you don't want it there in your finished}
{external.}
{-----------------------------------------------------------------------------------}

	procedure DebugTimestamp (waitForReply: boolean);
{-----------------------------------------------------------------------------------}
{This procedure will cause Debug Window to stamp the time and date in the Debug Window.}
{See DebugString for details.}
{-----------------------------------------------------------------------------------}

	procedure DebugClearWindow (waitForReply: boolean);
{-----------------------------------------------------------------------------------}
{This procedure will clear the window in Debug Window.  See DebugString for details.}
{-----------------------------------------------------------------------------------}

{New in verion 0.9}

	function CheckRegistration (bbsName: str255; registrationNum: longInt; regNum1, regNum2: longint): boolean;
{-----------------------------------------------------------------------------------}
{This procedure will check a registration number for a given BBS name.  It returns true if the}
{registration number is valid and false if it is invalid.  This relies on regNum1 and regNum2 }
{regNum1 should be a 6 digit number and regNum2 should be a 3 digit number.  These numbers}
{should be changed for each external.  You must use the same numbers that you used when you}
{created the number with CreateRegistration though.}
{-----------------------------------------------------------------------------------}

	function CreateRegistration (bbsName: str255; regNum1, regNum2: longint): longint;
{-----------------------------------------------------------------------------------}
{This procedure will return a registration number for the bbsName you pass it.  It also relies}
{on regNum1 and regNum2 (see above).  You can use this is a small application or external}
{that creates registration numbers.  You should define these two numbers as constants and}
{use the same ones to create and then check registration numbers.}
{-----------------------------------------------------------------------------------}

implementation
end.